# $Revision: 1.22 $, $Date: 2010/09/02 18:52:42 $
%define		kdever		4.4.5
%define		qtver		4.6.3

Summary:	KDE Partition Manager
Name:		partitionmanager
Version:	1.0.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/partitionman/%{name}-%{version}.tar.bz2
# Source0-md5:	1f987d314c717ba2579c69eeef16336d
URL:		http://partitionman.sourceforge.net/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	libblkid-devel
BuildRequires:	libuuid-devel
BuildRequires:	parted-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Easily manage disks, partitions and file systems on your KDE Desktop:
Create, resize, move, copy, back up, restore or delete partitions.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DPARTMAN_KCM=ON \
	-DPARTMAN_KPART=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang partitionmanager --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/partitionmanager
%attr(755,root,root) %{_bindir}/partitionmanager-bin
%attr(755,root,root) %{_libdir}/libpartitionmanagerprivate.so
%attr(755,root,root) %{_libdir}/kde4/kcm_partitionmanager.so
%attr(755,root,root) %{_libdir}/kde4/partitionmanagerpart.so
%dir %{_datadir}/apps/partitionmanager
%{_datadir}/apps/partitionmanager/partitionmanagerui.rc
%dir %{_datadir}/apps/partitionmanagerpart
%{_datadir}/apps/partitionmanagerpart/partitionmanagerpart.rc
%{_desktopdir}/kde4/partitionmanager.desktop
%{_datadir}/kde4/services/kcm_partitionmanager.desktop
%{_datadir}/kde4/services/partitionmanagerpart.desktop
%{_iconsdir}/hicolor/*x*/apps/partitionmanager.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: partitionmanager.spec,v $
Revision 1.22  2010/09/02 18:52:42  shadzik
- 1.0.3

Revision 1.21  2010/06/15 13:06:59  hawk
- release 3

Revision 1.20  2010/05/26 10:59:09  shadzik
- rel 2

Revision 1.19  2010/05/26 10:57:30  shadzik
- explicitely enable KCM and kpart

Revision 1.18  2010/05/26 10:46:15  shadzik
- URL

Revision 1.17  2010/05/25 18:31:34  shadzik
- 1.0.2

Revision 1.16  2009/12/02 16:48:56  sparky
- BR: QtNetwork-devel, QtSvg-devel, automoc4, gettext-devel, libblkid-devel,
  pkgconfig, qt4-build, qt4-qmake

Revision 1.15  2009/08/29 06:46:07  arekm
- rel 2

Revision 1.14  2009/08/18 06:35:38  paszczus
- updated to 1.0.0 FINAL

Revision 1.13  2009/08/04 21:14:53  paszczus
- updated to 1.0.0-RC1

Revision 1.12  2009/06/04 20:16:42  paszczus
- updated to 1.0.0-BETA3

Revision 1.11  2009/05/01 13:38:12  paszczus
- updated to 1.0.0-BETA2

Revision 1.10  2009/01/14 15:24:15  shadzik
- Beta1a

Revision 1.9  2009/01/14 12:29:01  shadzik
- more cosmetics

Revision 1.8  2009/01/14 12:24:55  shadzik
- kill buggy BRs and R
- add BR kde4-kdelibs-devel
- add qt4 BRs
- cosmetics

Revision 1.7  2009/01/14 09:14:45  paszczus
- added libpartitionmanagerprivate.so and R: kde-common-dirs

Revision 1.6  2009/01/14 07:42:49  paszczus
- updated to 1.0.0-BETA1

Revision 1.5  2008/09/25 11:25:33  paszczus
- updated to 1.0.0-ALPHA2

Revision 1.4  2008/09/21 11:47:34  paszczus
- added parent dir

Revision 1.3  2008/09/19 07:53:43  paszczus
- BR: parted-devel

Revision 1.2  2008/09/19 07:02:19  paszczus
- forgot to paste URL

Revision 1.1  2008/09/19 07:01:09  paszczus
- initial spec for KDE Partition Manager

